package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ConexionExcepcionRutaDAO;
import com.rjconsultores.ventaboletos.entidad.ConexionExcepcionRuta;

@Repository("conexionExcepcionRutaDAO")
public class ConexionExcepcionRutaHibernateDAO extends GenericHibernateDAO<ConexionExcepcionRuta, Long>
		implements ConexionExcepcionRutaDAO {

	@Autowired
	public ConexionExcepcionRutaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<ConexionExcepcionRuta> obtenerConexionExcepcionsActivo(Long conexionctrlId) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq("conexionctrlId", conexionctrlId));
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		return c.list();
	}
}
